#pragma once


#include <vector>

#include "DefineDllForWin.h"

#include "CloApiData.h"

#if defined(__APPLE__)
#include <string>
#endif

namespace CLOAPI
{
	class MV_CLO_INTERFACE_API SampleAPIInterface {
	public:
		virtual ~SampleAPIInterface() = default;
		
		virtual std::string TestExportSampleAPI() { return ""; };
		virtual std::string TestExportSampleAPI(const std::string& _folderPath) { return ""; };

		virtual std::string TestImportSampleAPI() { return ""; };
		virtual std::string TestImportSampleAPI(const std::string& _folderPath) { return ""; };

		virtual std::string TestFabricSampleAPI() { return ""; };
		virtual std::string TestFabricSampleAPI(const std::string& _folderPath) { return ""; };		

		virtual std::string TestUtilitySampleAPI() { return ""; };
		virtual std::string TestUtilitySampleAPI(const std::string& _folderPath) { return ""; };

		virtual std::string TestRestSampleAPI() { return ""; };
		virtual std::string TestRestSampleAPI(const std::string& _folderPath) { return ""; };
	};
}
